<%@ page contentType="text/html; charset=UTF-8" language="java" errorPage="" %>
<%@ page import="java.util.*"%>
<%@ page import="tot.search.ArticleIndex"%>
<%@ page import="tot.exception.*"%>
<%@ page import="tot.util.*" %>
<%@ page import="tot.bean.*" %>
<%@ page import="tot.dao.DaoFactory" %>
<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.net.*" %>
<%@ page import="tot.global.Sysconfig" %>
<%@ page import="tot.global.Syslog" %>
<%@ include file="session.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<title>delete article index</title>
<link href="style/global.css" rel="stylesheet" type="text/css" />
</head>
<body>
<%@ include file="top.jsp"%>
<%
String act=RequestUtil.getString(request,"act");
if(act!=null && act.equals("do")){
	/*
		参数说明：
		ArticleId:文章ID(必填参数)
	*/
	boolean ok=true;
	String msg="";
	String ArticleId=RequestUtil.getString(request,"id");
	if(ArticleId==null || ArticleId.equals("")){
		ok=false;
		msg="ID不能为空！";
	}
	if(ok){
			ArticleIndex.scheduleDeleteTask(ArticleId);
			out.print("<br><br><p align=\"center\">(成功删除索引，ID："+ArticleId+"!)</p>");
		}
		else{
			out.print("<div align=\"center\">"+msg+"</div>");
		}
}
%>
<table width="98%" border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#999999">
  <tr>
    <td height="20" bgcolor="#9AEBE4"><div align="center" class="style4">删除索引</div></td>
  </tr>
  <tr>
    <td bgcolor="#FFFFFF"><div align="center">
      <p>&nbsp;</p>
      <form id="form1" name="form1" method="post" action="?act=do">
        ID：
        <input name="id" type="text" id="id" size="15" />
        <input type="submit" name="button" id="button" value="删除" />
      </form>
      <p><br /></p>
      <p>&nbsp;</p>
    </div></td>
  </tr>
</table>

</body>
</html>